'****************************************************************
'*  Name    : DS1802_write_read.BAS                             *
'*  Author  : [Pr Sundberg]                                    *
'*  Notice  : Copyright (c) 2006                                *
'*          : All Rights Reserved                               *
'*  Date    : 2006-03-29                                        *
'*  Version : 1.0                                               *
'*  Notes   :                                                   *
'*          :                                                   *
'****************************************************************
    Include "Proton_4.inc"
    
    Symbol CLK = PORTB.0
    Symbol DTA = PORTB.1
    Symbol RST = PORTB.2
    
    Dim var1 As Byte
    Dim var2 As Byte
    Dim potval As Byte
    
    ALL_DIGITAL = TRUE
    
    DelayMS 50
    
    Cls
    
    Output RST
    Output CLK
    
    potval = 0
    
MAIN:
    While potval < 63                               'inc. potentiometer value
        potval = potval + 1                         'step 1 (0 = 0dB, 63 = -63dB)
        GoTo WRITE_POT
    Wend
    
WRITE_POT:                      
    Set RST
    SHOut DTA,CLK,lsbfirst,[potval\8,potval\8]      'set potentiometer 1 and 2 values, 8 bits each
    Clear RST

    
READ_POT:
    Set RST
    SHIn DTA,CLK,lsbpre,[var1\8,var2\8]             'read pot 1 and 2 values, 8 bits each
    Clear RST
    Print At 1,1, Dec var1                          'print decimal value of pot 1
    Print At 2,1, BIN8 var2                         'print binary value of pot 2
                                                    
    DelayMS 2000                                    'wait 2 seconds
    GoTo MAIN